/****************************************************************************/
/* Copyright(C)2006 Tony Bayart                                             */
/* http://www.developpez.net/forums/member.php?u=59049                      */
/* http://shenron.free.fr                                                   */
/*                                                                          */
/* This program is free software; you can redistribute it and/or modify it  */
/* under the terms of the GNU General Public License as published by the    */
/* Free Software Foundation; either version 2 of the License, or            */
/* (at your option) any later version.                                      */
/*                                                                          */
/* This program is distributed in the hope that it will be useful,          */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of           */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                     */
/* See the GNU General Public License for more details.                     */
/*                                                                          */
/* You should have received a copy of the GNU General Public License along  */
/* with this program; if not, write to the Free Software Foundation, Inc.,  */
/* 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.            */
/****************************************************************************/


#include "DataBase.hpp"
#include <iostream>


void Connect(const std::string& sUsername)
{
    switch(CDataBase::Instance().ConnectUser(sUsername, ""))
    {
        case CDataBase::eSuccess:
            std::cout << "Connection reussie";
            break;
        case CDataBase::eInvalidUser:
            std::cout << "Utilisateur inconnu";
            break;
        case CDataBase::eInvalidPassword:
            std::cout << "Mot de passe invalide";
            break;
        default:
            std::cout << "Erreur inconnue";
            break;
    }

    std::cout << std::endl;
}


int main(int, char**)
{
    std::cout << "Debut du programme" << std::endl;

    Connect("Lambda");
    Connect("Omega");
    Connect("Alpha");

    std::cout << "Fin du programme" << std::endl;

    return 0;
}
